- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

Pod::Functions - Group Perl's functions a la perlfunc.pod

# SYNOPSIS

        use Pod::Functions;

        my @misc_ops = @{ $Kinds{ 'Misc' } };
        my $misc_dsc = $Type_Description{ 'Misc' };

or

        perl /path/to/lib/Pod/Functions.pm

This will print a grouped list of Perl's functions, like the "Perl Functions by Category" in perlfunc section.

# DESCRIPTION

It exports the following variables:

%Kinds

  This holds a hash-of-lists. Each list contains the functions in the category the key denotes.

%Type

  In this hash each key represents a function and the value is the category. The category can be a comma separated list.

%Flavor

  In this hash each key represents a function and the value is a short description of that function.

%Type_Description

  In this hash each key represents a category of functions and the value is a short description of that category.

@Type_Order

  This list of categories is used to produce the same order as the "Perl Functions by Category" in perlfunc section.